linux-user: stack_base is now mandatory on all targets
[qemu.git] / hw / pci-stub.c
1 /*
2 * PCI stubs for platforms that don't support pci bus.
3 *
4 * Copyright (c) 2010 Isaku Yamahata <yamahata at valinux co jp>
5 * VA Linux Systems Japan K.K.
6 *
7 * This program is free software; you can redistribute it and/or modify
8 * it under the terms of the GNU General Public License as published by
9 * the Free Software Foundation; either version 2 of the License, or
10 * (at your option) any later version.
11 *
12 * This program is distributed in the hope that it will be useful,
13 * but WITHOUT ANY WARRANTY; without even the implied warranty of
14 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15 * GNU General Public License for more details.
16 *
17 * You should have received a copy of the GNU General Public License along
18 * with this program; if not, see <http://www.gnu.org/licenses/>.
19 */
20
21 #include "sysemu.h"
22 #include "monitor.h"
23 #include "pci.h"
24 #include "qmp-commands.h"
25
26 PciInfoList *qmp_query_pci(Error **errp)
27 {
28 error_set(errp, QERR_UNSUPPORTED);
29 return NULL;
30 }
31
32 static void pci_error_message(Monitor *mon)
33 {
34 monitor_printf(mon, "PCI devices not supported\n");
35 }
36
37 int do_pcie_aer_inject_error(Monitor *mon,
38 const QDict *qdict, QObject **ret_data)
39 {
40 pci_error_message(mon);
41 return -ENOSYS;
42 }
43
44 void pcie_aer_inject_error_print(Monitor *mon, const QObject *data)
45 {
46 pci_error_message(mon);
47 }